#ifndef SENSORACTORWIDGET_H
#define SENSORACTORWIDGET_H

#include <QWidget>
#include <QItemSelection>
#include "../../actors/sensoractor.h"

namespace Ui
{
class SensorActorWidget;
}

class SensorActorWidget : public QWidget
{
	Q_OBJECT

	std::shared_ptr<SensorActor> sensorActor_;
	SensorStore* sensors_;

public:
	explicit SensorActorWidget(std::shared_ptr<SensorActor> sensorActor, SensorStore* sensors = nullptr,
	                           QWidget *parent = nullptr);
	~SensorActorWidget();

private slots:

	void setThreshold(double in);
	void setSlope(int index);
	void setSensor(const QModelIndex &index);

private:
	Ui::SensorActorWidget *ui;
};

#endif // SENSORACTORWIDGET_H
